<html>
<head>
<title>TestNG:  Test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>10/0/0</td>
</tr><tr>
<td>Started on:</td><td>Fri Nov 05 19:32:08 IST 2021</td>
</tr>
<tr><td>Total time:</td><td>23 seconds (23619 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: TestCase, TestSteps, keywords, element, TestData</td>
<td></td>
<td>0</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.com/</td>
<td></td>
<td>0</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, verify page title, checkTitle, null, OrangeHRM</td>
<td></td>
<td>0</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, enter username, type, id:txtUsername, Admin</td>
<td></td>
<td>1</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, enter password, type, id:txtPassword, admin123</td>
<td></td>
<td>2</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, click login button, lclick, id:btnLogin, null</td>
<td></td>
<td>4</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, verify page url, checkUrl, null, dashboard</td>
<td></td>
<td>0</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, click welcome messgae, lclick, id:welcome, null</td>
<td></td>
<td>0</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, click logout, lclick, linktext:Logout, null</td>
<td></td>
<td>1</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
<tr>
<td title='keywordDriver.ExecutingTestCases.executeTestCases()'><b>executeTestCases</b><br>Test class: keywordDriver.ExecutingTestCases<br>Parameters: null, verify page url, checkUrl, null, index.php/auth/login</td>
<td></td>
<td>0</td>
<td>keywordDriver.ExecutingTestCases@2f0a87b3</td></tr>
</table><p>
</body>
</html>